Package org.apache.tomcat.util.descriptor.web

## Class InjectionTarget

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.InjectionTarget

All Implemented Interfaces:
  `java.io.Serializable`

    public class InjectionTarget
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`InjectionTarget()`
`InjectionTarget​(java.lang.String targetClass, java.lang.String targetName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getTargetClass()`
`java.lang.String` `getTargetName()`
`void` `setTargetClass​(java.lang.String targetClass)`
`void` `setTargetName​(java.lang.String targetName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InjectionTarget

    public InjectionTarget()

#### InjectionTarget

    public InjectionTarget​(java.lang.String targetClass,
                           java.lang.String targetName)

### Method Detail

#### getTargetClass

    public java.lang.String getTargetClass()

#### setTargetClass

    public void setTargetClass​(java.lang.String targetClass)

#### getTargetName

    public java.lang.String getTargetName()

#### setTargetName

    public void setTargetName​(java.lang.String targetName)